SND_SOC_KCONTROL_COD(9)

NAME
snd_soc_kcontrol_codec - Returns the CODEC that registered the control

SYNOPSIS

struct snd_soc_codec * snd_soc_kcontrol_codec(struct snd_kcontrol * kcontrol);

ARGUMENTS

kcontrol
    The control for which to get the CODEC

NOTE

This function will only work correctly if the control has been registered with snd_soc_add_codec_controls or via table based setup of snd_soc_codec_driver. Otherwise the behavior is undefined.

COPYRIGHT